package cn.com.poc.thirdparty.resource.demand.pay.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author Roger Wu
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class MarketingGamePayDto {

    /**
     * 订单编号
     */
    private String payOrderSn;

    public String getPayOrderSn() {
        return payOrderSn;
    }

    public void setPaySn(String payOrderSn) {
        this.payOrderSn = payOrderSn;
    }

    /**
     * 币种
     */
    private String currency;

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    /**
     * 金额(分)
     */
    private Integer amount;

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    /**
     * 描述
     */
    private String description;

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }


}
